%define	gemdir		%(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define	majorver	2.8.0
%define	rpmminorver	.%(echo %preminorver | sed -e 's|^\\.\\.*||')
%define	fullver	%{majorver}%{?preminorver}

%define	gemname	rspec-core
%define	geminstdir	%{gemdir}/gems/%{gemname}-%{fullver}

%define	rubyabi	1.8

%define	need_bootstrap_set	0

%{!?need_bootstrap:	%global need_bootstrap %{need_bootstrap_set}}

Summary:	Rspec-2 runner and formatters
Name:		rubygem-%{gemname}
Version:	%{majorver}
Release:	%mkrel 4

Group:		Development/Ruby
License:	MIT
URL:		http://github.com/rspec/rspec-mocks
Source0:	http://rubygems.org/gems/%{gemname}-%{fullver}.gem

BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	rubygems
Provides:	rubygem(%{gemname}) = %{version}-%{release}
BuildArch:	noarch

%description
Behaviour Driven Development for Ruby.

%package	doc
Summary:	Documentation for %{name}
Group:		Development/Ruby 
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.


%prep
%setup -q -c -T

mkdir -p .%{gemdir}
gem install \
	-V \
	--local \
	--install-dir .%{gemdir} \
	--bindir .%{_bindir} \
	--force \
	--rdoc \
	%{SOURCE0}

chmod 0644 .%{gemdir}/cache/%{gemname}-%{fullver}.gem

# rpmlint
pushd .%{geminstdir}
grep -rl '^#![ \t]*/usr/bin' ./lib| \
	xargs sed -i -e '\@^#![ \t]*/usr/bin@d'

# Until rspec is updated, lets install rspec.rb
cat > lib/rspec.rb <<EOF
require 'rspec/core'
require 'rspec/expectations'
require 'rspec/mocks'
EOF

popd

%build

%install
mkdir -p %{buildroot}%{_prefix}
cp -a .%{_prefix}/* %{buildroot}%{_prefix}/

# Rename autospec to avoid conflict with rspec 1.3
# (anyway this script doesn't seem to be useful)
mv %{buildroot}%{_bindir}/autospec{,2}

# cleanups
rm -f %{buildroot}%{geminstdir}/{.document,.gitignore,.treasure_map.rb,.rspec,.travis.yml,spec.txt}

%files
%dir	%{geminstdir}
%dir	%{geminstdir}/exe/autospec
%dir	%{geminstdir}/exe
%dir	%{geminstdir}/exe/rspec

%doc	%{geminstdir}/License.txt
%doc	%{geminstdir}/*.md

%{_bindir}/autospec2
%{_bindir}/rspec
%{geminstdir}/lib/

%{gemdir}/cache/%{gemname}-%{fullver}.gem
%{gemdir}/specifications/%{gemname}-%{fullver}.gemspec


%files	doc
%{gemdir}/doc/%{gemname}-%{fullver}
#%{geminstdir}/Gemfile
#%{geminstdir}/Rakefile
#%{geminstdir}/cucumber.yml
#%{geminstdir}/%{gemname}.gemspec
%{geminstdir}/features/
#%{geminstdir}/script/
%{geminstdir}/spec/


%changelog
* Mon Jan 23 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.8.0-4mdv2011.0
+ Revision: 767036
- version update 2.8.0

* Sat Sep 10 2011 Alexander Barakin <abarakin@mandriva.org> 2.6.4-4
+ Revision: 699177
- bump release
- after a successful build the bootstrap can be disabled

* Sat Sep 10 2011 Alexander Barakin <abarakin@mandriva.org> 2.6.4-3
+ Revision: 699174
- rdoc needed during the bootstrap
- we need bootstrap
- imported package rubygem-rspec-core

  + Andrey Smirnov <asmirnov@mandriva.org>
    - bump release
    - remove some buildreqs
    - inc release
    - missing rdoc fix
    - rpmlint warning

* Wed Dec 01 2010 Rémy Clouard <shikamaru@mandriva.org> 2.0.1-1mdv2011.0
+ Revision: 604552
- import rubygem-rspec-core

